#############################################################################
## Licensed Materials - Property of IBM
##
## Governed under the terms of the International
## License Agreement for Non-Warranted Sample Code.
##
## (C) COPYRIGHT International Business Machines Corp. 2006
## All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
##   Title:	export-masterdata.sh
##   Description: utility to export masterdata
##     usage:
##  	export-masterdata.sh <destination file>
##  	e.g.
## 		export-masterdata.sh masterdata.xml
## 		
##
#############################################################################
#!/bin/sh

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . ${RFIDIC_HOME}/bin/rfidic-env.sh
else
        . ${SCRIPT_DIR}/rfidic-env.sh
fi

checkLogs

ALL_RFIDIC_DEFINES="-DRFIDIC_HOME=${RFIDIC_HOME}"


exec java  -classpath $CLASSPATH ${ALL_RFIDIC_DEFINES} com.ibm.rfidic.mdm.impl.MDMExport "$@"
