#!/bin/sh
#############################################################################
## Licensed Materials - Property of IBM
##
## Governed under the terms of the International
## License Agreement for Non-Warranted Sample Code.
##
## (C) COPYRIGHT International Business Machines Corp. 2006
## All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
##   Title: submitEvent.sh
##   Description: submit an EPCIS document with events to an MQ queue
##
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . $RFIDIC_HOME/bin/rfidic-env.sh
else
        . $SCRIPT_DIR/rfidic-env.sh
fi

checkLogs

#Change SSL settings in rfidic-env.sh file under the sslWASSettings function
SSL_SETTINGS=`sslWASSettings`

java -classpath $CLASSPATH:$WAS_HOME/lib/j2ee.jar -DRFIDIC_HOME=$RFIDIC_HOME $SSL_SETTINGS com.ibm.rfidic.utils.mq.PutQueue $* 
