--Migrate 1.1.0.3 DB schema to AMP

CREATE TABLE SERIALID.IDSPACE (
		IDSPACE_ID INTEGER NOT NULL 
		GENERATED ALWAYS AS IDENTITY (  
		    START WITH +1  
		    INCREMENT BY +1  
		    NO CYCLE  
		    NO CACHE  
		    NO ORDER ) ,
		RESOURCE_ID INTEGER NOT NULL,
		IDSPACE_START BIGINT NOT NULL,
		IDSPACE_END BIGINT NOT NULL,
		ID_AVAILABLE BIGINT NOT NULL,
		IDSPACE_TYPE INTEGER NOT NULL,
		STATE INTEGER NOT NULL
	);

ALTER TABLE SERIALID.IDSPACE ADD CONSTRAINT PK_IDSPACE_ID PRIMARY KEY (IDSPACE_ID);

CREATE TABLE SERIALID.IDSTORE (
		REQUEST_ID BIGINT NOT NULL,
		ENCODINGTYPE VARCHAR(50) NOT NULL,
		QUANTITY BIGINT NOT NULL,
		TAGPREFIX VARCHAR(50) NOT NULL,
		NUMBERS BLOB
	);

ALTER TABLE SERIALID.SID_RESOURCE ADD COLUMN IDSPACEMANAGEMENT INTEGER;
ALTER TABLE SERIALID.SID_RESOURCE ADD COLUMN PERCENTAGERANDOM INTEGER;
ALTER TABLE SERIALID.SID_RESOURCE ADD COLUMN BLOCK_ALLOCATION_TYPE INTEGER;

--ALTER TABLE SERIALID.SERIALID_INVENTORY MODIFY (BLOCK_ID BIGINT);
--ALTER TABLE SERIALID.SERIALID_INVENTORY ADD COLUMN IDSPACE_ID INTEGER;
--ALTER TABLE SERIALID.SERIALID_INVENTORY ADD COLUMN STATE INTEGER;

--Create rfidic.unique_id table

CREATE TABLE RFIDIC.UNIQUE_ID (
		ENTITY VARCHAR(100) NOT NULL,
		ID INTEGER NOT NULL
	);

ALTER TABLE RFIDIC.UNIQUE_ID ADD CONSTRAINT PK_ENTITY PRIMARY KEY (ENTITY);

ALTER TABLE MDMSCHEMA.VOCABULARY_ELEMENT_ATTRIBS ADD CONSTRAINT NULL_VALUE CHECK (VALUE IS NOT NULL);


