#! /bin/sh 
#############################################################################
## Licensed Materials - Property of IBM
##
## Governed under the terms of the International
## License Agreement for Non-Warranted Sample Code.
##
## (C) COPYRIGHT International Business Machines Corp. 2006
## All Rights Reserved.
##
## US Government Users Restricted Rights - Use, duplication or
## disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
##   Title: verifySID.sh	
##   Description: Script to verify if the services for SID is up and running
##		
##
#############################################################################

# include the RFIDIC environment settings
SCRIPT_DIR=`dirname $0`
if [ -n "$RFIDIC_HOME" -a -d $RFIDIC_HOME"/bin" ];then
        . ${RFIDIC_HOME}/bin/rfidic-env.sh
else
        . ${SCRIPT_DIR}/rfidic-env.sh
fi
java -classpath $CLASSPATH -DRFIDIC_HOME=$RFIDIC_HOME  com.ibm.rfidic.enterprise.serialid.framework.util.SIDVerification $*
